module.exports = function(grunt) {
  require('jit-grunt')(grunt);

  grunt.initConfig({
    copy: {
      main: {
        expand: true,
        cwd: 'node_modules/@realpage/foundation-ui-library',
        src: '**',
        dest: 'sass/dependencies/realpage/foundation-ui-library/'
      },
      font: {
        expand: true,
        cwd: 'fonts/realpage-icons/fonts',
        src: '**',
        dest: 'dist/fonts/'
      },
      fontConsumer: {
        expand: true,
        cwd: 'fonts/realpage-consumer-icons/fonts',
        src: '**',
        dest: 'dist/fonts/'
      }
    },
    sass: {
      dev: {
        options: {
          style: 'expanded', sourcemap: 'none'
        },
        files: {
          'dist/css/styles.css': 'sass/realpage-styles.scss',
          'dist/css/realpage-icon-styles.css': 'fonts/realpage-icons/css/font-realpage-icons-styles.scss',
          'dist/css/realpage-consumer-icon-styles.css': 'fonts/realpage-consumer-icons/css/font-realpage-consumer-icons-styles.scss'  
        }
      },
      dist: {
        options: {
          style: 'compressed', sourcemap: 'none'
        },
        files: {
          'dist/css/styles.css': 'sass/realpage-styles.scss',
          'dist/css/realpage-icon-styles.css': 'fonts/realpage-icons/css/font-realpage-icons-styles.scss', 
          'dist/css/realpage-consumer-icon-styles.css': 'fonts/realpage-consumer-icons/css/font-realpage-consumer-icons-styles.scss'
        }
      }
    },
    watch: {
      styles: {
        files: [
          'sass/**/*.sass',
          'sass/**/*.scss'
        ],
        tasks: ['sass'],
        options: {
          nospawn: true
        }
      }
    }
  });

  grunt.registerTask('build', ['copy:main', 'copy:font', 'copy:fontConsumer', 'sass:dev']);
  grunt.registerTask('build:dev', ['copy:main', 'copy:font', 'copy:fontConsumer', 'sass:dev']);
  grunt.registerTask('build:dist', ['copy:main', 'copy:font', 'copy:fontConsumer', 'sass:dist']);
  grunt.registerTask('default', ['build:dev', 'watch']);
};
